# 上传单条数据


## 修改历史


## 接口定义

    /v1/upload_cornea_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
    X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

    dataId          {String}    唯一ID ，由Android端生成
    planId			{int}		计划ID
    studentId       {int}       学生ID
    leftR1			{float}		R1 曲率半径 1，6 个字节，输出格式为+??.??
    leftR2			{float}		曲率半径 2，6 个字节，输出格式为+??.??
    leftA1			{float}		曲率半径 1 方向角度，3 个字节，输出格式为???
    rightR1			{float}		R1 曲率半径 1，6 个字节，输出格式为+??.??
    rightR2			{float}		曲率半径 2，6 个字节，输出格式为+??.??
    rightA1			{float}		曲率半径 1 方向角度，3 个字节，输出格式为???
    pd				{float}		全瞳距值，4 个字节，输出格式为??.?，单位为 mm，如 62.0 表示瞳距为 62mm，如果为“00.0”表示该项无记录
    cd				{float}		角膜直径值，5 个字节，输出格式为??.??，单位为 mm，如 10.00 表示 10mm，如果为“00.0”表示无该项记录
    cyl				{float}		角膜曲率柱镜度数值(R1 和 R2 之间差值，始终为负值，单位为 DP 度)，6 个字节，输出格式为???.??。
    testTime        {int}
    classId         {int}       班级ID

## Response
R1 曲率半径 1，6 个字节，输出格式为+??.??
R2 曲率半径 2，6 个字节，输出格式为+??.??
A1 曲率半径 1 方向角度，3 个字节，输出格式为???

### Example

**Command**

    curl -X POST \
    	    -H "X-DeviceInformation: 11%2f22%2f141" \
            -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           -d 'dataId=1DE5CAAA-DB46-419A-8162-EC853DAEA5CF&studentId=549&pd=62.0&cd=10.00&cyl=-00.20&leftR1=07.90&leftR2=07.70&leftA1=170&rightR1=07.90&rightR2=07.70&rightA1=170&testTime=1560426091&classId=111111' \
       http://localhost:8080/v1/upload_cornea_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }